"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../src/index");
const chai_1 = require("chai");
const public_url = "https://s1.ripple.com:51234";
const testnet_url = "https://s.altnet.rippletest.net:51234";
const devnet_url = "https://s.devnet.rippletest.net:51234";
describe("XRP ripple client tests", () => {
    it(`should get block height from public network`, async function () {
        const XRP = new index_1.MCC.XRP({ url: public_url });
        let a = await XRP.getBlockHeight();
        (0, chai_1.expect)(a).to.greaterThan(68100602);
    });
    it(`should get block height from testnet network`, async function () {
        const XRP = new index_1.MCC.XRP({ url: public_url });
        let a = await XRP.getBlockHeight();
        (0, chai_1.expect)(a).to.greaterThan(0);
    });
    it(`should get block height from devnet network`, async function () {
        const XRP = new index_1.MCC.XRP({ url: public_url });
        let a = await XRP.getBlockHeight();
        (0, chai_1.expect)(a).to.greaterThan(0);
    });
});
//# sourceMappingURL=xrpClient.test.js.map